WordPress Elementor Page Builder Plugin Vulnerability fixed

More than 4 million websites make use of the Elementor Page Builder Plugin on WordPress. The Elementor Safe Mode privilege escalation vulnerability was first identified March 10th 2020 and a new version 2.9.6 was released on March 12, 2020.

Below we see someone accessing a website using that vulnerability. So not to show people exactly how to go about exploiting websites parts are blurred.

This is one of many reports of plugin and WordPress core vulnerabilities which is why we recommend to all our clients to keep their website up-to-date. We do offer a service to maintain their the website throughout the year. Not only can keeping a WordPress website up-to-date patch vulnerabilities but also make new features and performance improvements available.

Drop a comment

Your email address will not be published. Required fields are marked *